#ifndef __IConLoader_H_
#define __IConLoader_H_

#if defined(i386) 
#include <unistd.h>
#endif 

#include "Icon.h"

class IconLoader {
public:
  Icon *Load(char name) {
#if defined(i386) 
    sleep(1); 
#else 
    volatile int j=0;
    for (unsigned i=1; i<10000000; i++) j++;
#endif 
    return new Icon(name);
  }
  void Free(Icon *i) {delete i;}
};

extern IconLoader iconloader;

class IconDrawer {
public:
  static void drawIconString(char *str);
  void foo () {}
};

#endif // __IConLoader_H_
